#! /bin/bash

echo "**************************************************************"
echo "This scripts installs MacVim and some utilities on your system"
echo
echo "NB: this is only for Mac OSX 32-bit systems!"
echo
echo "Type ENTER to continue or ^C to quit"
echo "**************************************************************"

read dummy

#
# Marc Groenewegen, September 15 2015
#

# macvim taken from github (150913) and compiled on OSX
# git clone https://github.com/macvim-dev/macvim.git

echo "Copying MacVim application to /Applications"
rm -rf /Applications/MacVim.app
cp -rp MacVim.app /Applications


echo
echo "Need permission to install utilities in /usr/local/bin"

if [ ! -d /usr/local ] ; then
  echo "Creating /usr/local"
  sudo mkdir /usr/local
fi

if [ ! -d /usr/local/bin ] ; then
  echo "Creating /usr/local/bin"
  sudo mkdir /usr/local/bin
fi

sudo cp mvim /usr/local/bin
chmod 755 /usr/local/bin/mvim


echo "Creating resource files for BASH and Vim in home directory"
cp bashrc ${HOME}/.bashrc
cp bash_profile ${HOME}/.bash_profile
cp vimrc ${HOME}/.vimrc

